Win a copy of Cloud Native PatternsE this week in the Cloud forum
or Natural Language Processing in the AI/ML forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Devaka Cooray
  • Liutauras Vilda
  • Jeanne Boyarsky
  • Bear Bibeault
Sheriffs:
  • Paul Clapham
  • Knute Snortum
  • Rob Spoor
Saloon Keepers:
  • Tim Moores
  • Ron McLeod
  • Piet Souris
  • Stephan van Hulst
  • Carey Brown
Bartenders:
  • Tim Holloway
  • Frits Walraven
  • Ganesh Patekar

Exception: Http status 500

 
Ranch Hand
Posts: 37
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All,

I am using Apache Tomcat 5.5
I get the following error when I try to load the Tomcat homepage using http://localhost/
Default port is set to 80.

javax.servlet.ServletException: org/apache/jsp/index_jsp (Unsupported major.minor version 49.0)
org.apache.jasper.servlet.JspServlet.service(JspServlet.java:272)
javax.servlet.http.HttpServlet.service(HttpServlet.java:802)

I was working on this same Tomcat setup a couple of months back... & it was working fine
Tomcat homepage was loading. I have not made any changes to the tomcat configuration since then. I had set some classpath for another application some time back but I removed that from the enviroment variables. Now in the classpath there are only things that Tomcat would need.
Am I missing something? Kindly help on this.
 
Ranch Hand
Posts: 1179
Mac OS X Eclipse IDE
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
What version of java does Tomcat run with??

"Unsupported major.minor version 49.0" means that some code is compiled with java 1.5, and Tomcat try to run it with a java version less then 1.5
[ August 03, 2008: Message edited by: Rene Larsen ]
 
shalaka wadekar
Ranch Hand
Posts: 37
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,

Thanks for the response!
I guess I am aware of this cause. I am using jdk1.4. What do you suggest I should do now? It was working fine with the same version earlier. How come suddenly it started giving out this error?

Regards,
Shalaka
 
Ranch Hand
Posts: 1325
Android Java Windows
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
update your jdk with 5 to make it run.
 
Muhammad Saifuddin
Ranch Hand
Posts: 1325
Android Java Windows
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
or for the next it will be good if you do check the Java class file is compiled into which version.

for example you have "MyClass.class" then use this simple to know..

javap -verbose MyClass

The output.

SourceFile: "MyClass.java"
minor version: 0
major version: 49

to check the class version use this source.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!